Change log for autojump package in Ubuntu

117 of 17 results
Published in hirsute-release on 2021-01-02
Deleted in hirsute-proposed (Reason: moved to Release)
autojump (22.5.1-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <email address hidden>  Sat, 02 Jan 2021 01:07:06 +0100

Available diffs

Superseded in hirsute-release on 2021-01-02
Published in groovy-release on 2020-04-24
Published in focal-release on 2019-10-18
Obsolete in eoan-release on 2020-12-29
Obsolete in disco-release on 2020-07-14
Obsolete in cosmic-release on 2020-07-13
Deleted in cosmic-proposed (Reason: moved to release)
autojump (22.5.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - update Standards-Version to 4.1.4.
    - switch to debhelper level 11.
  * debian/copyright: switch format URL to HTTPS.
  * debian/upstream/metadata: add an upstream metadata file.

 -- Tanguy Ortolo <email address hidden>  Sat, 09 Jun 2018 18:03:29 +0200

Available diffs

Superseded in cosmic-release on 2018-06-10
Published in bionic-release on 2017-10-24
Obsolete in artful-release on 2020-07-10
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed (Reason: moved to release)
autojump (22.5.0-2) unstable; urgency=medium

  * debian/autojump.install: install the Zsh completion file to
    /usr/share/zsh/vendor-completions. (Closes: #843580)

 -- Tanguy Ortolo <email address hidden>  Thu, 24 Nov 2016 11:26:43 +0100

Available diffs

Superseded in zesty-release on 2016-11-24
Deleted in zesty-proposed on 2016-11-26 (Reason: moved to release)
autojump (22.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: switch to version 4 and use substitutions to make it more
    generic.

 -- Tanguy Ortolo <email address hidden>  Sun, 09 Oct 2016 17:55:48 +0200

Available diffs

Superseded in zesty-release on 2016-11-02
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
autojump (22.3.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
     - switch Vcs-* URLs to HTTPS.
     - update Standards-Version to 3.9.8 (no change needed).

 -- Tanguy Ortolo <email address hidden>  Sat, 23 Jul 2016 19:08:37 +0200

Available diffs

Superseded in yakkety-release on 2016-07-24
Deleted in yakkety-proposed on 2016-07-25 (Reason: moved to release)
autojump (22.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
     - update Standards-Version (no change needed).
     - build-depend on debhelper >= 9.
  * debian/compat: change to recommended compatibility level 9.
  * debian/rules: correct the position of dh's --with option, after the
    commands.

 -- Tanguy Ortolo <email address hidden>  Thu, 31 Mar 2016 13:44:17 +0200

Available diffs

Superseded in yakkety-release on 2016-04-27
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed (Reason: moved to release)
autojump (22.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Upstream developer changed, and so did the project website.
  * debian/control:
     - update Homepage to new website.
     - update Build-Depends:
        + no longer need to build jumpapplet's manpage from DocBook.
        + use dh_python.
     - update Enhances:
        + only Bash >= 4.0 is supported).
        + add Fish which is now supported.
        + remove old package zsh-beta which no longer exists.
          (Closes: #785361)
     - update Standards-Version to 3.9.6 (no change needed).
  * debian/watch: update to new website.
  * debian/copyright: update dates.
  * debian/patches: refresh (adaptations were needed, but no semantic change).
  * debian/rules:
     - disable automatic test, which always tries to download dependencies
       even if they are already present, which fails without a connection to
       the Internet.
     - disable dh_pysupport, which would install maintainer script to
       byte-compile modules for Python 2.7, which is useless since autojump is
       run with Python 3.
     - use dh_python3.
     - add comments to explain that automatic build and install are disabled
       and files are manually installed with dh_install instead.
  * debian/autojump.install:
     - install Python libraries to /usr/share/autojump.
     - install autojump to /usr/share/autojump.
  * debian/autojump.links:
     - make /usr/bin/autojump a symlink to /usr/share/autojump/autojump
       (this solves the library import path problem).

 -- Tanguy Ortolo <email address hidden>  Fri, 24 Jul 2015 11:04:29 +0200
Superseded in wily-release on 2015-07-24
Deleted in wily-proposed on 2015-07-25 (Reason: moved to release)
autojump (21.7.1-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <email address hidden>  Wed, 22 Jul 2015 03:24:18 +0000
Superseded in wily-release on 2015-07-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2018-01-19 (Reason: moved to release)
autojump (21.7.1-1) unstable; urgency=medium


  * New upstream release.
  * debian/autojump.install: install the Fish shell plugin.
  * debian/control:
     - Enhances fish.
     - update Standards-Version to 3.9.5 (no change needed).
  * debian/patches/remove-makefile-test.patch: remove, applied upstream.

 -- Tanguy Ortolo <email address hidden>  Sun, 08 Jun 2014 15:35:26 +0200

Available diffs

Superseded in utopic-release on 2014-06-08
Published in trusty-release on 2013-10-21
Deleted in trusty-proposed (Reason: moved to release)
autojump (21.6.9-1) unstable; urgency=low


  * New upstream release.
  * debian/patches:
     - fix-arbitrary-code-flaw.patch: removed, part of that upstream release.
     - fix-dict-bug.patch: removed, part of that upstream release.
     - fix-manpage.patch: removed, no longer needed.
     - runtests-shebang.patch, fix-tests.patch: removed as the tests no longer
       exist.
     - remove-makefile-test.patch: remove references to the removed tests in
       the makefile so it can be built.
     - man-source.patch, move-to-usrshare.patch: refresh.

 -- Tanguy Ortolo <email address hidden>  Thu, 15 Aug 2013 15:56:12 +0200

Available diffs

Superseded in trusty-release on 2013-10-21
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
autojump (20-2) unstable; urgency=low


  * debian/control: make autojump depend on Python 3.2+, where the module
    argparse was introduced. (Closes: #673008)

 -- Tanguy Ortolo <email address hidden>  Sat, 26 May 2012 09:38:48 +0200

Available diffs

Superseded in quantal-release on 2012-05-27
autojump (20-1) unstable; urgency=low


  * New upstream release.
  * debian/autojump.links: link autojump to /usr/share/autojump where it is
    used as a module imported by jumpapplet.
  * debian/patches:
     + jumpapplet-include-functions.patch: removed, remplaced by a simpler
       solution than copying functions from autojump to jumpapplet.
     + jumpapplet-import-path.patch: import autojump from jumpapplet using a
       full path.
     + man-source.patch: updated, the manpage now being written in Markdown
       and compiled with Pandoc.
     + fix-manpage.patch: fix the buggy manpage produced by Pandoc.
     + move-to-usrshare.patch: refreshed.
     + use-python3.patch: refreshed.
  * debian/copyright:
     + updated copyright date (to 2012).
     + updated to released format.
  * debian/autojump.docs: README.rst replaced by README.md.
  * debian/control:
     + update Standards-Version (no change required).
     + correct a typo and indicate that the user has to source autojump to be
       able to use it. (Closes: #649580)

 -- Tanguy Ortolo <email address hidden>  Sat, 14 Apr 2012 13:59:47 +0200

Available diffs

Superseded in quantal-release on 2012-04-30
Published in precise-release on 2011-12-21
autojump (18-1) unstable; urgency=low

  * New upstream release.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  21 Dec 2011 11:51:15 +0000

Available diffs

Superseded in precise-release on 2011-12-21
autojump (17-1) unstable; urgency=low

  * New upstream version.
  * debian/patches:
     + data_dir.patch: applied by upstream, not needed anymore.
     + force-pickle-v2.patch: this was a backport from upstream, not needed
       anymore.
     + jumpapplet-include-functions.patch: copy functions from autojump to
       jumpapplet instead of importing them as a temporary workaround (cf.
       patch header).
  * debian/copyright: replace the two previous copyright files by this single
    one to simplify and respect the policy.

Available diffs

Superseded in precise-release on 2011-10-17
Obsolete in oneiric-release on 2015-04-24
autojump (15-3) unstable; urgency=low
  * debian/patches:     + data_dir.patch: fix jumpapplet to use the new XDG compliant       directories. (Closes: #633889)     + use-python3.patch: use Python 3 for autojump. (Closes: #632224)     + force-pickle-v2.patch: force using a serializing (pickle) protocole       compatible with both Python 2 and Python 3.  * debian/control: let autojump depend on python3.  * debian/autojump.lintian-overrides: removed, as this seems to be corrected    in Lintian. -- Tanguy Ortolo <email address hidden>  Sat, 23 Jul 2011 13:42:06 +0200
Superseded in oneiric-release on 2011-07-27
autojump (15-1) unstable; urgency=low

  * New upstream version.
  * debian/rules: upstream chmod -x'ed autojump.{bash,zsh}, no need to do it
    here anymore.
  * debian/patches/jumpapplet-shebang.patch: correct jumpapplet's shebang.

Available diffs

Superseded in oneiric-release on 2011-04-30
Obsolete in natty-release on 2013-06-04
autojump (11-1) unstable; urgency=low

  * Initial release (Closes: #580891)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  27 Oct 2010 15:32:23 +0000
117 of 17 results